package com.lantone.qc.kernel.catalogue.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 手术记录中麻醉方式未填写
 * @author: rengb
 * @time: 2020/3/23 15:09
 */
@Component
public class OPE0356 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
        if(operationDocs == null || operationDocs.size() == 0){
            status.set("0");
            return;
        }
            if (ListUtil.isNotEmpty(operationDocs)) {
                long count = operationDocs.stream().filter(operationDoc -> {
                    boolean flag = false;
                    if (operationDoc.getOperationRecordDoc() != null
                            && operationDoc.getOperationRecordDoc().getStructureMap().containsKey("麻醉方式")
                            && StringUtil.isBlank(operationDoc.getOperationRecordDoc().getStructureMap().get("麻醉方式"))) {
                        flag = true;
                    }
                    return flag;
                }).count();
                if (count > 0) {
                    status.set("-1");
                }
            }
        }
//    }

}